Bug 27610 - RFE: reiserfs support during upgrade
RFE: reiserfs support during upgrade
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Aaron Brown
: FutureFeature
: 15670 30116 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-02-14 08:08 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-02 12:16:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-14 08:08:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-pre3 i686; en-US; 0.7)

I use reiserfs on my testmachine, when trying to upgrade with the fisher
public beta I get an error because it's not supported, so I think a clean
install won't support reiserfs also, In my case , as I want to standardize
my machines on reiserfs , this means I can't use redhat releases anymore,
because support for reiserfs during install will be essential.

Reproducible: Always
Steps to Reproduce:
1.Try to upgrade a reiserfs system , et voila, error unknown filesystem.

Actual Results:  I couldn't test fisher public beta

Expected Results:  I expected to be able to evaluate fisher and expected
reiserfs support.
Comment 1 Kyle Jacobs 2001-02-19 22:30:41 EST
I'm inclined to agree, I find ReiserFS's journaling ability to be a boost to a 
server platform installation.  RedHat should (by now) support ReiserFS.
Comment 2 D. Stimits 2001-03-02 16:19:10 EST
I can verify that a precreated partition scheme, with ext2 for /boot/, and
ReiserFS for /, will fail. The kernels
involved during 7.1 beta supply ReiserFS modules, so it appears that the kernel
can support this. It is,
however, impossible to specify a ReiserFS filesystem for a mount point. It would
also be reasonable
if format options for new partitions could run mkreiserfs instead of mkfs.ext2
for ReiserFS partitions. It
appears that for people without sufficient hard disk space, ReiserFS will have
to be abandoned if this
feature is not updated.
Comment 3 Michael Fulbright 2001-03-20 14:35:18 EST
ReiserFS will be evaluated for support in future releases. We did not have time
to integrate it into the installer and test as well as we want to before trying
ing to support it.
Comment 4 Michael Fulbright 2001-04-11 16:12:54 EDT
*** Bug 30116 has been marked as a duplicate of this bug. ***
Comment 5 Brent Fox 2001-05-04 16:11:44 EDT
*** Bug 15670 has been marked as a duplicate of this bug. ***
Comment 6 Jonathon Padfield 2001-06-12 00:16:26 EDT
We've deployed reiserfs on a couple of production boxes now without any problems
and a native redhat upgrade/install disk would make life a lot easier.
Comment 7 Matt Wilson 2001-06-27 15:11:16 EDT
upgrades should be working in our anaconda CVS, needs testing.

Note You need to log in before you can comment on or make changes to this bug.